<ui:composition template="../template/template.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui="http://java.sun.com/jsf/facelets">

	<ui:define name="title">
        .:#{bandejaRegistroVisitasSalaMB.nombreSistema}:.
    </ui:define>
<ui:define name="headCont">
		<style>
		.box-table-class .ui-datatable-scrollable-body thead th {
			opacity: 0;
			padding: 0;
		}
		
		.obs-pe {
			background: #d6effe;
			color: #68544F;
		}
		
		.obs-pe-vencida {
			background: #d6effe;
			color: red;
		}
		
		.obs-pe-por-vencer {
			background: #d6effe;
			color: green;
		}
		
		.sin-obs-pe-vencida {
			color: red;
		}
		
		.sin-obs-pe-por-vencer {
			color: green;
		}
		
		.ui-state-disabled {
			opacity: 1;
		}
		
		.ui-fieldset-general {
			
		}
		
		.without-selectall .ui-selectcheckboxmenu-header .ui-chkbox {
			display: none;
		}
		/* Select CheckBoxMenú */
		.ui-selectcheckboxmenu-item:hover {
			background-color: #850100 !important;
			background-image: linear-gradient(to bottom, #BA0400, #840100)
				!important;
			color: #FFF
		}
		
		.ui-selectcheckboxmenu-item {
			font-size: 13.2px;
			font-weight: 300;
		}
		
		.ui-selectcheckboxmenu .ui-selectcheckboxmenu-trigger {
			width: auto !important;
			border-left: 1px solid #a8a8a8 !important;
			border-radius: 0px 0px 0px 0px !important;
			background: #F9F9F9 !important;
			box-shadow: 0px 0px #FFF;
		}
		</style>
	</ui:define>    
	<ui:define name="titlePages">
		<span>REGISTRO DE VISITAS</span>
	</ui:define>
	<ui:define name="urlNavegacion">
		<li class="active">Registro de Visitas a Salas</li>
		<li>Registrar</li>
	</ui:define>
	<ui:define name="content">
	    <div class="row">
			<h:form id="frmBandejaVisitaSala">
				<div class="col-md-12 sin-bg-box">
					<p:fieldset styleClass="ui-fieldset-general">
						<p:fieldset>
							<div class="row box-mb">
								<div class="col-sm-6 box-btn-tab text-right box-main-btn xx_box-btn">
									<p:commandButton id="idPaso2-1" value="Tengo mi código QR"
										icon="icon-search ocultarImgIcon"
										styleClass="btn btn-default btn-sensitive"
										onclick="PF('statusDialog').show()"
										oncomplete="PF('statusDialog').hide()"
										action="#{bandejaRegistroVisitasSalaMB.continuarRegistroVisitaSala('Paso2-1')}"
										update="frmBandejaVisitaSala" ajax="true" />
								</div>
								<div class="col-sm-6 box-btn-tab text-right box-main-btn xx_box-btn">
									<p:commandButton id="idPaso2-2" value="No tengo código QR"
										icon="icon-search ocultarImgIcon"
										styleClass="btn btn-default btn-sensitive"
										onclick="PF('statusDialog').show()"
										oncomplete="PF('statusDialog').hide()"
										action="#{bandejaRegistroVisitasSalaMB.continuarRegistroVisitaSala('Paso2-2')}"
										update="frmBandejaVisitaSala" ajax="true" />
								</div>
							</div>
						</p:fieldset>
					</p:fieldset>
				</div>
			</h:form>
		</div>
	</ui:define>

</ui:composition>